> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/diagnostic/packetcapture-start > Start packet capture ## OpenAPI ````json POST /v1/diagnostic/packetcapture-start { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/diagnostic/packetcapture-start": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DiagnosticPacketcaptureStartPostRequest" } } } }, "responses": { "201": { "description": "Created", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DiagnosticPacketcaptureStartPostResponse" } } } } }, "description": "Start packet capture" } } }, "components": { "schemas": { "v1DiagnosticPacketcaptureStartPostRequest": { "type": "object", "properties": { "deviceId": { "type": "integer", "format": "int64", "example": 30000000555, "description": "Unique identifier for a specific device (required)" }, "duration": { "type": "integer", "format": "int32", "example": 30, "minimum": 0, "description": "Packet capture duration. Accepted values are 30, 60, 180 (required)" }, "filter": { "$ref": "#/components/schemas/diagnosticToolsPCapFilter" }, "maxPacketCounter": { "type": "integer", "format": "int32", "example": 300, "minimum": 0, "description": "Packet capture limit." }, "target": { "$ref": "#/components/schemas/diagnosticToolsTargetType" } }, "additionalProperties": false, "required": [ "deviceId", "duration", "target" ] }, "v1DiagnosticPacketcaptureStartPostResponse": { "type": "object", "properties": { "pcapId": { "type": "integer", "format": "int64", "example": 1000000, "description": "Unique identifier for a specific packet capture" } }, "additionalProperties": false }, "diagnosticToolsPCapFilter": { "type": "object", "properties": { "destination": { "$ref": "#/components/schemas/diagnosticToolsPrefixPort" }, "dscp": { "type": "integer", "format": "int32", "example": 80, "minimum": 0, "description": "Filters the packet capture for the specified DSCP field" }, "protocol": { "type": "string", "example": "Tcp", "description": "Filters the packet capture for the specified protocol" }, "source": { "$ref": "#/components/schemas/diagnosticToolsPrefixPort" } }, "additionalProperties": false }, "diagnosticToolsTargetType": { "type": "object", "properties": { "interface": { "type": "string", "example": "ethernet1/0", "description": "Source Interface name" }, "vrfName": { "type": "string", "example": "isp-red", "description": "Configured VRF Name" } }, "additionalProperties": false }, "diagnosticToolsPrefixPort": { "type": "object", "properties": { "port": { "type": "integer", "format": "int32", "example": 80, "minimum": 0, "description": "Filters the capture for the specified port" }, "prefix": { "type": "string", "example": "1.1.1.0/24", "description": "Filters the capture for the specified prefix" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````